package org.reti.element;

import java.util.ArrayList;
import java.util.Arrays;

public class Libro {
	
	private String titolo;
	private String isbn;
	private String data;
	private ArrayList<Autore> autori;
	
	public Libro() {
		super();
	}

	public Libro(String titolo, String isbn, String data,
			ArrayList<Autore> autori) {
		super();
		this.titolo = titolo;
		this.isbn = isbn;
		this.data = data;
		this.autori = autori;
	}
	
	public String getTitolo() {
		return titolo;
	}

	public void setTitolo(String titolo) {
		this.titolo = titolo;
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}

	public ArrayList<Autore> getAutori() {
		return autori;
	}

	public void setAutori(ArrayList<Autore> autori) {
		this.autori = autori;
	}

	public Libro(String titolo, String isbn, String data,Autore... autori) {
		super();
		this.titolo = titolo;
		this.isbn = isbn;
		this.data = data;
		this.autori = new ArrayList<Autore>(Arrays.asList(autori));
	}

	@Override
	public String toString() {
		String auto = "";
		for(Autore a:autori){
			auto+=a+":";
		}
		return "Libro [autori="+auto+"titolo=" + titolo + ", isbn=" + isbn + ", data=" + data
				+ "]";
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((isbn == null) ? 0 : isbn.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Libro other = (Libro) obj;
		if (isbn == null) {
			if (other.isbn != null)
				return false;
		} else if (!isbn.equals(other.isbn))
			return false;
		return true;
	}
	
	
	
	
	
	

}
